
From: Al Viro <viro@parcelfarce.linux.theplanet.co.uk>

Build cleanups

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Cc: Paolo Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/Makefile            |    1 +
 arch/um/sys-i386/Makefile   |    2 --
 arch/um/sys-x86_64/Makefile |    2 --
 3 files changed, 1 insertion(+), 4 deletions(-)

diff -puN arch/um/Makefile~uml-build-cleanup arch/um/Makefile
--- devel/arch/um/Makefile~uml-build-cleanup	2005-08-30 00:11:11.000000000 -0700
+++ devel-akpm/arch/um/Makefile	2005-08-30 00:11:11.000000000 -0700
@@ -56,6 +56,7 @@ SYS_DIR		:= $(ARCH_DIR)/include/sysdep-$
 
 CFLAGS += $(CFLAGS-y) -D__arch_um__ -DSUBARCH=\"$(SUBARCH)\" \
 	$(ARCH_INCLUDE) $(MODE_INCLUDE) -Dvmap=kernel_vmap
+AFLAGS += $(ARCH_INCLUDE)
 
 USER_CFLAGS := $(patsubst -I%,,$(CFLAGS))
 USER_CFLAGS := $(patsubst -D__KERNEL__,,$(USER_CFLAGS)) $(ARCH_INCLUDE) \
diff -puN arch/um/sys-i386/Makefile~uml-build-cleanup arch/um/sys-i386/Makefile
--- devel/arch/um/sys-i386/Makefile~uml-build-cleanup	2005-08-30 00:11:11.000000000 -0700
+++ devel-akpm/arch/um/sys-i386/Makefile	2005-08-30 00:11:11.000000000 -0700
@@ -22,8 +22,6 @@ STUB_CFLAGS = -Wp,-MD,$(depfile) $(call 
 # why ask why?
 $(obj)/stub_segv.o : c_flags = $(STUB_CFLAGS)
 
-$(obj)/stub.o : a_flags = $(STUB_CFLAGS)
-
 subdir- := util
 
 include arch/um/scripts/Makefile.unmap
diff -puN arch/um/sys-x86_64/Makefile~uml-build-cleanup arch/um/sys-x86_64/Makefile
--- devel/arch/um/sys-x86_64/Makefile~uml-build-cleanup	2005-08-30 00:11:11.000000000 -0700
+++ devel-akpm/arch/um/sys-x86_64/Makefile	2005-08-30 00:11:11.000000000 -0700
@@ -34,8 +34,6 @@ STUB_CFLAGS = -Wp,-MD,$(depfile) $(call 
 # why ask why?
 $(obj)/stub_segv.o : c_flags = $(STUB_CFLAGS)
 
-$(obj)/stub.o : a_flags = $(STUB_CFLAGS)
-
 subdir- := util
 
 include arch/um/scripts/Makefile.unmap
_
